function order = lmsOrder(param)
%LMSORDER calculate order of a linear multistep method

% created by Claude Gittelson

x = [param.k:-1:0];
y = ones(1,param.k+1);
if(y*param.alpha ~= 0)
    order = 0;
    return;
end
for c=1:100
    z = y;
    y = y.*x;
    if(y*param.alpha ~= c*z*param.beta)
        order = c-1;
        return;
    end
end
order = 100;
    