function [y, fcalls] = rkCompStep(param, ode, h, tol, y1, t, k, fcalls)
%RKCOMPSTEP step of composition of rk methods

% created by Claude Gittelson

t = t-h;
for j = 1:param.stages
    t = t + param.weight(j)*h;
    [y1, fcalls] = param.method(j).step(param.method(j), ode, param.weight(j)*h, tol, y1, t, k, fcalls);    
end
y = y1;