function param = rkCompSuzuki(mtd, p)
%RKCOMPSUZUKI Suzuki Composition

% created by Claude Gittelson

method = [mtd mtd mtd mtd mtd];
x = 4^(1/(p+1));
y = 1/(4-x);
z = -x*y;
weight = [y y z y y];
name = sprintf('Suzuki Composition of %s', mtd.name);

param = rkCompParams(method, weight, name);