
% created by Claude Gittelson

figure;

expEuler = rkParams([0], [0], [1], 'explicit Euler');

oscPlot(expEuler, 0.1, 15, 'b.');
hold on;

impEuler = rkParams([1], [1], [1], 'implicit Euler');

trapez = rkCompParams([expEuler impEuler], [0.5 0.5], 'trapezoidal rule');

mtd4 = rkCompYoshida(trapez, 2);

oscPlot(mtd4, 0.5, 300, 'r.');