function param = rkCompYoshida(mtd, p)
%RKCOMPYOSHIDA Yohida Composition

% created by Claude Gittelson

method = [mtd mtd mtd];
x = 2^(1/(p+1));
weight = [1/(2-x), -x/(2-x), 1/(2-x)];
name = sprintf('Yoshida Composition of %s', mtd.name);

param = rkCompParams(method, weight, name);