function adjoint = rkPartAdjoint(mtd)
%RKPARTADJOINT adjoint of partitioned rk method

% created by Claude Gittelson

mtd1 = mtd.mtd1.adjoint(mtd.mtd1.adjoint);
mtd2 = mtd.mtd2.adjoint(mtd.mtd2.adjoint);

name = sprintf('adjoint of %s', mtd.name);

adjoint = rkPartParams(mtd1, mtd2, name);