function adjoint = rkSplitAdjoint(mtd)
%RKSPLITADJOINT adjoint of splitting method

% created by Claude Gittelson

scheme = mtd.scheme;
weight = mtd.weight;

s = length(scheme);

for i=1:s
    scheme(i) = mtd.scheme(s+1-i);
    weight(i) = mtd.weight(s+1-i);
end

name = sprintf('adjoint of %s', mtd.name);

adjoint = rkSplitParams(mtd.flow, scheme, weight, name);